/*!*****************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[3].oneOf[2].use[1]!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/components/App/App.scss ***!
  \*****************************************************************************************************************************************************************************************************/
.VnVafAD_gtaSM6BeHnxo {
  position: relative;
  width: 100%;
  margin-top: 2rem;
}
/*!***********************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[3].oneOf[2].use[1]!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/components/App/Meritvalue/Meritvalue.scss ***!
  \***********************************************************************************************************************************************************************************************************************/
.AsPMzqLXM1i_0dSBFTeP {
  font-size: 1.625rem;
  font-weight: 600;
  line-height: 1.25;
  margin-bottom: 1rem;
}
.qWPDeeSl_NQyBGBWNI_Q .AsPMzqLXM1i_0dSBFTeP {
  margin-bottom: 0;
  font-size: 1.425rem;
}

.g7knLRIPpuaa5UdfSPwl {
  transition: background-color 1s;
  background-color: #692859;
  min-width: 7rem;
  max-width: 7rem;
  min-height: 7rem;
  max-height: 7rem;
  border-radius: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
  gap: 0.25rem;
}

.XoPLcW_MgnPTByhRNN90 {
  font-size: 2.5rem;
  font-weight: 600;
}

.kUAqYTlpOqJaTvw8Nj19 {
  font-size: 1rem;
  line-height: 1;
}

.q8Svc8jxqs4c6d54GMyw {
  font-size: 1.125rem;
  font-weight: 600;
  line-height: 1.5;
}

._kTQT9Yn4s3m3VwyCc3b {
  font-size: 1.125rem;
  line-height: 1.5;
}

.ftgjAuyjv6L2NsVecKmR {
  display: flex;
  align-items: center;
  gap: 15px;
  max-width: 74.5rem;
  margin: 0 auto;
}

.aN5DE1SM8hSVxN1gP_F5,
.WaWUc2fstYVxXX_S2YaR {
  padding: 1.5rem 1rem;
}
@media (min-width: 53rem) {
  .aN5DE1SM8hSVxN1gP_F5,
  .WaWUc2fstYVxXX_S2YaR {
    padding: 1.5rem 1rem 1.5rem 2rem;
  }
}

.nddgBuOKtVhuPjq4XU69 {
  position: absolute;
  left: 1rem;
  top: 50%;
  width: calc(100% - 2rem);
  height: 2px;
  border-style: solid;
  border-image-slice: 2 0 0 0;
  border-image-source: url("data:image/svg+xml,%3csvg width=%27100%25%27 height=%27100%25%27 xmlns=%27http://www.w3.org/2000/svg%27%3e%3crect width=%27100%25%27 height=%27100%25%27 fill=%27none%27 stroke=%27%23692859FF%27 stroke-width=%274%27 stroke-dasharray=%272%2c4%27 stroke-dashoffset=%270%27 stroke-linecap=%27butt%27/%3e%3c/svg%3e");
  border-image-repeat: repeat;
  border-width: 2px;
}
@media (min-width: 53rem) {
  .nddgBuOKtVhuPjq4XU69 {
    left: 50%;
    top: 1rem;
    height: calc(100% - 2rem);
    width: 2px;
    border-image-slice: 0 2 0 0;
  }
}
.qWPDeeSl_NQyBGBWNI_Q .nddgBuOKtVhuPjq4XU69 {
  display: none;
}

.P6O8fAPQaIFhSPafPJby {
  position: relative;
  width: 100%;
  transition: all 0.2s ease-in-out;
  background-color: #ffffff;
  display: grid;
  grid-template-columns: 1fr;
  box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.1607843137);
  margin-bottom: 1rem;
}
@media (min-width: 53rem) {
  .P6O8fAPQaIFhSPafPJby {
    grid-template-columns: 1fr 1fr;
  }
}
.P6O8fAPQaIFhSPafPJby.qWPDeeSl_NQyBGBWNI_Q {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background-color: #fff;
  z-index: 1000;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  grid-template-columns: 1fr;
}
.P6O8fAPQaIFhSPafPJby.qWPDeeSl_NQyBGBWNI_Q .aN5DE1SM8hSVxN1gP_F5 {
  margin: 0 auto;
  width: 100%;
}
.P6O8fAPQaIFhSPafPJby.qWPDeeSl_NQyBGBWNI_Q .WaWUc2fstYVxXX_S2YaR {
  display: none;
}

.FE15_aC4OrsBduYjom8I {
  display: block;
  -moz-column-count: 2;
       column-count: 2;
  -moz-column-fill: balance;
       column-fill: balance;
  -moz-column-gap: 3rem;
       column-gap: 3rem;
}

.TQQc1pFsfTlOepylEEa3 {
  font-size: 1.125rem;
  font-weight: 400;
  line-height: 1.875rem;
}
.TQQc1pFsfTlOepylEEa3 .Dioeu6FGEfLZqU_6xAtg {
  font-weight: 600;
}
/*!*************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[3].oneOf[2].use[1]!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/components/App/Lists/Lists.scss ***!
  \*************************************************************************************************************************************************************************************************************/
.WTtPJixT7XgMiuIcdIgS {
  padding: 0;
  color: #262626;
  margin: 1.5rem 0 0.75rem 0;
  font-size: 1rem;
  font-stretch: normal;
  font-style: normal;
  font-weight: 600;
  line-height: 1.5;
  letter-spacing: 0.32px;
  text-transform: uppercase;
}

.METj4q_02IDWfVVsnqv4 {
  background-color: #ffffff;
  box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.1607843137);
  padding: 1.5rem 0.5rem;
}
@media (min-width: 53rem) {
  .METj4q_02IDWfVVsnqv4 {
    padding: 2rem 1rem;
  }
}

._M9AmX0qblQzYKGumpt7 {
  padding: 0 0 0 1rem;
  max-width: 560px;
}

.TZOxmvoS7mVEmul_o6rI {
  margin-top: 0;
  font-size: 1.625rem;
  font-weight: 600;
  line-height: 1.25;
}

._a_dotbcuxWaV54SisGC {
  line-height: 1.5;
  font-size: 1.125rem;
}
/*!***********************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[3].oneOf[2].use[1]!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/components/App/Generalize/Generalize.scss ***!
  \***********************************************************************************************************************************************************************************************************************/
.cW0gY7impArr9DKGB7c4 {
  margin-top: 1.5rem;
  background-color: #ffffff;
  width: 100%;
}

.oke2ClQXgwiZg_Nd9MEW {
  font-size: 1.25rem;
  font-weight: 600;
  color: #262626;
  margin-bottom: 10px;
  margin-top: 0;
  line-height: 1.44;
  padding: 0 0 0 1rem;
}

.odKLDWNbvNDt_nMYxxyR {
  display: grid;
  gap: 0.5rem;
  grid-template-columns: repeat(3, min-content);
  width: -moz-fit-content;
  width: fit-content;
  padding: 0 1rem 1rem;
  border-bottom: 1px solid #E8DFE7;
}
@media (min-width: 29.9375rem) {
  .odKLDWNbvNDt_nMYxxyR {
    display: flex;
    flex-direction: row;
    grid-template-columns: unset;
  }
}
@media (min-width: 53rem) {
  .odKLDWNbvNDt_nMYxxyR {
    gap: 1rem;
  }
}
/*!*******************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[3].oneOf[2].use[1]!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/components/App/RadioComponent/RadioComponent.scss ***!
  \*******************************************************************************************************************************************************************************************************************************/
.fkkHbt3LtqImsFIUvCMo {
  position: absolute;
  opacity: 0;
}

.Bwj55c23804651QVvsxq {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.125rem;
  color: #3e1a3d;
  font-weight: 600;
  line-height: 1;
  background-color: #ffffff;
  cursor: pointer;
  transition: background-color 0.2s;
  width: 4rem;
  height: 2.5rem;
  border: 2px solid #3e1a3d;
  border-radius: 4px;
}
.Bwj55c23804651QVvsxq:hover {
  background-color: #f8f4f8;
}

.fkkHbt3LtqImsFIUvCMo[checked] + .Bwj55c23804651QVvsxq {
  background-color: #692859;
  color: #ffffff;
}

.fkkHbt3LtqImsFIUvCMo:focus-visible + .Bwj55c23804651QVvsxq {
  outline: 2px solid #f59c00;
  outline-offset: 2px;
}
/*!***************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[3].oneOf[2].use[1]!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/components/App/Grades/Grades.scss ***!
  \***************************************************************************************************************************************************************************************************************/
.ANut132D53AbrdylNcyq {
  margin: 1.5rem 0;
  display: grid;
  grid-template-columns: 1fr;
  width: 100%;
  -moz-column-gap: 1rem;
       column-gap: 1rem;
}
/*!*************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[3].oneOf[2].use[1]!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/components/App/Grade/Grade.scss ***!
  \*************************************************************************************************************************************************************************************************************/
.KitrY2sO1mYZe6aSeB0s {
  padding: 1.125rem 0;
  background-color: #ffffff;
  width: 100%;
}

.tPbuzjqfSJg_9tFTQT2j {
  display: inline-flex;
  align-items: center;
  gap: 0.375rem;
  margin-bottom: 0.625rem;
  position: relative;
}
.tPbuzjqfSJg_9tFTQT2j svg {
  fill: #692859;
  margin-top: 2px;
  pointer-events: none;
}

.yhCalS92SMssKkX4ixM5 {
  font-size: 1.25rem;
  font-weight: 600;
  color: #262626;
  margin-top: 0;
  line-height: 1.44;
  padding: 0 0 0 1rem;
}

.dORJZ8ixTDPslRxFXEr2 {
  display: grid;
  gap: 0.5rem;
  grid-template-columns: repeat(3, min-content);
  width: -moz-fit-content;
  width: fit-content;
  padding: 0 1rem 1rem;
  border-bottom: 1px solid #E8DFE7;
}
@media (min-width: 29.9375rem) {
  .dORJZ8ixTDPslRxFXEr2 {
    display: flex;
    flex-direction: row;
    grid-template-columns: unset;
  }
}
@media (min-width: 53rem) {
  .dORJZ8ixTDPslRxFXEr2 {
    gap: 1rem;
  }
}

.joN17VRNEKJcjtZIqVPB {
  display: flex;
  align-items: center;
}

.xuci7f0qoNnudB37HWBw {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  background: none;
  border: 0;
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 0;
}

.E0hvltG8eiEwzYUQTswV {
  position: absolute;
  top: 2.625rem;
  left: 0;
  z-index: 90;
  background-color: #fff2b7;
  padding: 18px 14px;
  margin: 0;
  box-shadow: 0 3px 6px 0;
  border: 1px solid #dceadc;
  border-radius: 4px;
  color: #262626;
  font-size: 1.125rem;
  line-height: 1.39;
  margin: 0;
  min-width: 15.625rem;
  width: auto;
}
.E0hvltG8eiEwzYUQTswV a {
  text-decoration: underline;
  color: #0079c2;
  font-size: 1.125rem;
  line-height: 1.39;
  margin: 0;
}

.kTw3Nf1TQYakpHNd8yGr {
  content: "";
  display: block;
  width: 24px;
  height: 24px;
  background-color: #fff2b7;
  position: absolute;
  top: 31px;
  transform: rotate(45deg);
  z-index: 91;
}
/*!*************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[3].oneOf[2].use[1]!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/components/App/ExtraGrades/ExtraGrades.scss ***!
  \*************************************************************************************************************************************************************************************************************************/
.gyKXpudbJyBx79JxDd6L {
  margin-bottom: 1.5rem;
  display: grid;
  grid-template-columns: 1fr;
  width: 100%;
  gap: 1rem;
}

.zJbVmQYFFhmp20g121Lc {
  margin-top: 3rem;
}

.wKuT1gKMnXHASoA60oYt {
  font-size: 1.3125rem;
  line-height: 1.33;
  margin-bottom: 0.5rem;
  font-weight: 600;
}

.SymO7km6UCcOinilC_Tq {
  font-size: 1.125rem;
  line-height: 1.4;
  margin-bottom: 1rem;
  max-width: 560px;
}

.orAUsTDKLEc96VByIAYb {
  display: flex;
  align-items: center;
  position: relative;
}
.orAUsTDKLEc96VByIAYb svg {
  fill: #692859;
  margin-top: 2px;
  pointer-events: none;
}

.BXiH0NvZX_sly5hEZVWG {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  background: none;
  border: 0;
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 0;
}

.gvaM7EWpDa72U6ZAaYD2 {
  position: absolute;
  top: 2.625rem;
  right: 0;
  z-index: 90;
  background-color: #fff2b7;
  padding: 18px 14px;
  box-shadow: 0 3px 6px 0;
  border: 1px solid #dceadc;
  border-radius: 4px;
  color: #262626;
  font-size: 1.125rem;
  line-height: 1.39;
  min-width: 15.625rem;
  max-width: calc(100vw - 2rem);
}

.QYkRfZk3vCTpnIGueZwE {
  content: "";
  display: block;
  width: 24px;
  height: 24px;
  background-color: #fff2b7;
  position: absolute;
  top: 31px;
  right: 0;
  transform: rotate(45deg);
  z-index: 91;
}
/*!***************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[3].oneOf[2].use[1]!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/components/App/ToggleButton/ToggleButton.scss ***!
  \***************************************************************************************************************************************************************************************************************************/
.uqCDZyDqWgnJCKgeTFMC {
  display: flex;
  align-items: center;
  gap: 0.375rem;
}

.I_CvanSGLs4XkDqV14dE {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
  color: #692859;
  font-weight: 600;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  justify-content: flex-start;
  padding: 0.5rem 0;
  font-size: 1.125rem;
  text-align: left;
  min-width: 0;
}

.V9WsfLGLe0RpmwdkMcxO {
  display: flex;
  align-items: center;
  flex: 0 0 auto;
}

.kYBkI35HyZezkZH0EafG {
  display: none;
}
.kYBkI35HyZezkZH0EafG.tkmEfFk6xS49JYRJMOD8 {
  display: block;
}

